## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# less_null_terminated_arrays< T > Struct Template Reference

This functor is designed to compare 0-terminated arrays. More...

List of all members.

## Public Types

- typedef std::binary_function<
  const T *, const T *, bool > BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::first_argument_type first_argument_type
- typedef BaseClassType::second_argument_type second_argument_type

## Public Member Functions

- result_type operator() (first_argument_type theLHS, second_argument_type theRHS) const
    Compare the values of two objects.

## Detailed Description

### template<class T>
struct less_null_terminated_arrays< T >

This functor is designed to compare 0-terminated arrays.

It substitutes for the default less<type*> so that pointers to arrays can be compared, rather than copies of arrays. For example, you might want to use C-style strings as keys in a map, rather than string objects. The default algorithm less<const char*> would just compare the pointers, and not the vector of characters to which it points. Using this algorithm instead of the default will allow the map to work as expected.

## Member Typedef Documentation

template<class T>
typedef std::binary_function<const T*, const T*, bool> less_null_terminated_arrays< T >::BaseClassType

template<class T>
typedef BaseClassType::first_argument_type less_null_terminated_arrays< T >::first_argument_type

template<class T>
typedef BaseClassType::result_type less_null_terminated_arrays< T >::result_type

template<class T>
typedef BaseClassType::second_argument_type less_null_terminated_arrays< T >::second_argument_type

## Member Function Documentation

template<class T>
result_type less_null_terminated_arrays< T >::operator() | ( | first_argument_type | theLHS,
|  | second_argument_type | theRHS
| ) | const

  | Compare the values of two objects. Parameters:
  theLHS | first object to compare
  theRHS | second object to compare
Returns: true if objects are the same

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.